module.exports = {
  // 是创建关系,正常用户信息处理都用原接口
  create: {
    requestBody: ['!user_id', '!superior_id'],
  },
  // 删除删除关系,正常用户信息处理都用原接口
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  // show: {
  //   parameters: {
  //     params: ['!id'],
  //   },
  //   service: 'fetch',
  // },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
