'use strict';
const meta = require('./.achievement-setting.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 绩效设置
class AchievementSettingController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.setting;
  }
  async index() {
    const data = await this.service.index();
    this.ctx.ok({ data });
  }
}
module.exports = CrudController(AchievementSettingController, meta);
