'use strict';
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');
const _ = require('lodash');
class HomeController extends Controller {
  async index() {
    const { ctx } = this;
    ctx.body = 'hi, egg';
  }


  async util() {
    const result = await this.ctx.service.util.index();
    let data;
    if (_.isArray(result)) {
      data = { data: result };
    } else if (_.isObject(result)) {
      data = { ...result };
    } else {
      data = { data: result };
    }
    this.ctx.ok(data);
  }
}
module.exports = CrudController(HomeController, {});
