'use strict';
const meta = require('./.user.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 绩效用户相关
class UserController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.user;
  }
  async index() {
    const { skip, limit, ...query } = this.ctx.query;
    const data = await this.service.query(query, { skip, limit });
    this.ctx.ok({ ...data });
  }
}
module.exports = CrudController(UserController, meta);
