'use strict';
const _ = require('lodash');
module.exports = options => {
  return async function applyQuery(ctx, next) {
    const query = ctx.query;
    if (query.superior_id) {
      // 有上级id,查出这个2级账号下的3级账号
      const relations = await ctx.model.UserRelation.find({ superior_id: query.superior_id });
      const user_ids = relations.map(i => i.user_id);
      query.user_id = user_ids;
      delete query.superior_id;
    }
    await next();
  };
};
