'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.post('/util', controller.home.util);
  require('./z_router/setting')(app); // 绩效设置
  require('./z_router/user')(app); // 用户关系
  require('./z_router/apply')(app); // 绩效申请
  require('./z_router/template')(app); // 绩效模板
  require('./z_router/updateapply')(app); // 绩效修改申请
  require('./z_router/duplicate')(app); // 绩效申请通过
};
