'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 绩效设置
class SettingService extends CrudService {
  constructor(ctx) {
    super(ctx, 'setting');
    this.model = this.ctx.model.AchievementSetting;
  }
  /**
   * 只有一个数据,没有就创建
   * @return data
   */
  async index() {
    let data = await this.model.findOne();
    if (data) return data;
    data = await this.model.create({});
    return data;
  }
}

module.exports = SettingService;
